
RADIUS Authentication - Task #376

Create REST Endpoint

03/10/2012 06:02 AM - Luke Murphey

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

Create a REST endpoint for managing the app configuration. This endpoint ought to manage the conf files that contains the relevant

settings and it needs to setup the authentication script so that Splunk uses the RADIUS script for authentication.

Below are the things that the handler needs to do:

1. Update and manage the radius.conf file

2. Create the changes necessary to get Splunk to use the authentication script

3. Perform a test of the settings to ensure that they are correct

Related issues:

Blocks RADIUS Authentication - Task #369: Create Setup Page Closed

Associated revisions

Revision 27 - 03/17/2012 09:09 AM - Luke Murphey

Created a REST handler that manages the settings for the radius_auth script (closes #376)

Revision 24 - 03/17/2012 09:09 AM - Luke Murphey

Created a REST handler that manages the settings for the radius_auth script (closes #376)

History

#1 - 03/10/2012 06:06 AM - Luke Murphey

Currently, the stanza names define the RADIUS server. However, this makes the REST endpoint a bit difficult to use since the setup page was going

to be designed to manage only a single entry.

#2 - 03/10/2012 07:39 AM - Luke Murphey

- Status changed from New to In Progress

#3 - 03/13/2012 06:50 AM - Luke Murphey

Need to capture networking errors when performing tests (such as socket.gaierror).

#4 - 03/14/2012 06:58 AM - Luke Murphey

Need to change the endpoint such that the passwords are not updated at all if none is provided. The checks should only throw an error if no password

was set already.

#5 - 03/16/2012 07:43 PM - Luke Murphey

- % Done changed from 0 to 80

#6 - 03/17/2012 09:11 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 80 to 100
http://docs.python.org/dev/library/socket.html#socket.gaierror:


Applied in changeset r27.
https://lukemurphey.net/projects/splunk-radius-auth/repository/revisions/27
